REGULATOR_BULK_REGIS(9)

NAME
regulator_bulk_register_supply_alias - register multiple aliases

SYNOPSIS

int regulator_bulk_register_supply_alias(struct device * dev, const char *const * id, struct device * alias_dev, const char *const * alias_id, int num_id);

ARGUMENTS

dev
    device that will be given as the regulator “consumer”

id
    List of supply names or regulator IDs

alias_dev
    device that should be used to lookup the supply

alias_id
    List of supply names or regulator IDs that should be used to lookup the supply

num_id
    Number of aliases to register

DESCRIPTION

return 0 on success, an errno on failure.

This helper function allows drivers to register several supply aliases in one operation. If any of the aliases cannot be registered any aliases that were registered will be removed before returning to the caller.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT